/*
 * _global_bug_fix.h
 *
 *  Created on: 19. juli 2022
 *      Author: oyvindteig
 */

#ifndef GLOBAL_BUG_FIX_H_
#define GLOBAL_BUG_FIX_H_

    // 19Jul2022 sent as mail to XMOS, add-on to earlier case #183751
    #define DUMMY_XASSERT_183751_V0838_LOGGER_TASK do {xassert (iof_value == NUM_LOGGER_TASK_CURVE_VALUES);} while (0) // BEEP-009
    // #define DUMMY_XASSERT_183751_V0838_LOGGER_TASK // TODO test this from time to time


    // 11Mar2022 case #183751. I just made this macro as a retro-case on 17Jul2022,
    // it did not exist at that time. It has since been completely programmed around
    // to such an extent that it's not possible to see any traces of it.
    // Was used in mics_in_headset_out_task_a in mics_in_headset_out.xc,
    // but it was not possible to keep it in the code because it could happen when all ok:
    #define DUMMY_XASSERT_183751_V0632_TASK_A do {xassert (false);} while (0)
    // Usage
    /*
    if (headset_gain_is_off) {
       DUMMY_XASSERT_183751_V0632_TASK_A;
    } else {
        ....
    }
    */

#else
    #error NESTED .h FILE
#endif /* GLOBAL_BUG_FIX_H_ */
