/*
 * logger.h
 *
 *  Created on: 11. feb. 2022
 *      Author: oyvindteig
 */


#ifndef LOGGER_H_
#define LOGGER_H_

    #define NUM_LOGGER_TASK_CURVE_VALUES NUM_FREQ_POINTS_REAL // From mic_array_conf.h

    #define FREQ_MAX_VALUE_LOG 1350000 // For no-auto scaling. Last with auto-scaling was v0813

    typedef enum {
        logger_never_seen,
        logger_next_curve_request,
        logger_next_curve_no_request
    } next_curve_logger_state_e;

    [[combinable]]
    void logger_task (
            chanend                        ch_logger,
            client i2c_general_commands_if if_i2c_general_commands,
            client port_commands_if        if_port_commands);


#else
    #error NESTED .h FILE
#endif
