/*
 * maths.h
 *
 *  Created on: 7. sep. 2021
 *      Author: oyvindteig
 */


#ifndef MATHS_H_
    #define MATHS_H_

    // Observe dsp_complex_t in ../dsp_lib/dsp_fft.h

    // Observe Q number format and F in ../dsp_lib/dsp_qformat.h
    // for conversion back and forth between fixed point (signed long long) and float (double)

    int32_t int32_dB (const int32_t arg);
    int16_t int16_dB (const int16_t arg);

#else
    #error NESTED .h FILE
#endif /* MATHS_H_ */
